import "./App.css";
import {BrowserRouter, Route, Routes} from "react-router-dom";
import {MapPage} from "./pages/Map";
import {QueryClient, QueryClientProvider} from "@tanstack/react-query";
import {enableMapSet} from "immer";

const queryClient = new QueryClient();

enableMapSet();

if (import.meta.env.MODE === "development") {
  // for debugging purpose
}

function App() {
  return (
      <QueryClientProvider client={queryClient}>
        <BrowserRouter basename={import.meta.env.BASE_URL}>
          <Routes>
            <Route path="/" element={<MapPage />} />
          </Routes>
        </BrowserRouter>
      </QueryClientProvider>
  );
}

export default App;
